# Uses of Enum io.dapr.client.domain.StateOptions.Concurrency (dapr-sdk-parent 1.14.1 API)
use: package: io.dapr.client.domain, class: StateOptions, enum: Concurrency

# Uses of Enum
io.dapr.client.domain.StateOptions.Concurrency

Packages that use StateOptions.Concurrency
Package
Description
io.dapr.client.domain

## Uses of StateOptions.Concurrency in io.dapr.client.domain

Methods in io.dapr.client.domain that return StateOptions.Concurrency
Modifier and Type
Method
Description
`static StateOptions.Concurrency`
StateOptions.Concurrency.`fromValue(String value)`
`StateOptions.Concurrency`
StateOptions.`getConcurrency()`
`static StateOptions.Concurrency`
StateOptions.Concurrency.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static StateOptions.Concurrency[]`
StateOptions.Concurrency.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in io.dapr.client.domain with parameters of type StateOptions.Concurrency
Modifier
Constructor
Description
``
`StateOptions(StateOptions.Consistency consistency, StateOptions.Concurrency concurrency)`
Represents options for a Dapr state API call.